summarylogtreecommitdiffstats
path: root/swamp.sh
diff options
context:
space:
mode:
authorMichael Taboada2019-12-15 15:50:45 -0800
committerMichael Taboada2019-12-15 15:50:45 -0800
commitbd3a3edcdcf0ca77ae768b35462e9d15a429b187 (patch)
treefc516847009dacf9215a9075894a2d86a3f08366 /swamp.sh
downloadaur-bd3a3edcdcf0ca77ae768b35462e9d15a429b187.tar.gz
Initial commit.
Diffstat (limited to 'swamp.sh')
-rw-r--r--swamp.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/swamp.sh b/swamp.sh
new file mode 100644
index 000000000000..2a92b3c6182a
--- /dev/null
+++ b/swamp.sh
@@ -0,0 +1,20 @@
+#! /bin/bash
+
+if [ ! -d "$HOME/.local/wine/swamp" ] ; then
+ mkdir -p "$HOME/.local/wine/swamp"
+ if [ ! -z "$DISPLAY" ] ;then
+ echo "Installing a new wineprefix for swamp. This may take a while."
+ else
+ echo "You don't seem to have an X server running, or your DISPLAY variable is not exported. Please fix this before continuing since it is needed for the installation."
+ exit 1
+ fi
+ DISPLAY="" WINEPREFIX="$HOME/.local/wine/swamp" WINEARCH=win32 wineboot -u # Clearing the display temporarily is required to work around wine complaining about mono which we install later
+ WINEPREFIX="$HOME/.local/wine/swamp" wine msiexec /i z:/usr/share/wine/mono/$(ls -1 /usr/share/wine/mono/) /silent
+ WINEPREFIX="$HOME/.local/wine/swamp" wine msiexec /i z:$(ls -1 /usr/share/wine/gecko/*x86.msi) /silent
+ WINEPREFIX="$HOME/.local/wine/swamp" winetricks -q vb6run dx8vb quartz speechsdk corefonts
+ cp -R /opt/swamp "$HOME/.local/wine/swamp/drive_c/users/$USER/Downloads"
+ WINEPREFIX="$HOME/.local/wine/swamp" wine cmd.exe /c 'cd /d c:\users\'$USER'\Downloads\swamp && Windows32bit.bat'
+ echo "Installation of the wineprefix has been completed. The game will now launch."
+fi
+WINEPREFIX="$HOME/.local/wine/swamp" wine 'c:\users\'$USER'\Downloads\swamp\Swamp.exe'
+exit $?